OpenMPI 0.1.1

- Main Page
- Related Pages
- Modules
- Data Structures
- Files

Functions
Linux-only helpers

This includes helpers for manipulating linux kernel cpumap files, and hwloc equivalents of the Linux sched_setaffinity and sched_getaffinity system calls. More...

## Functions
HWLOC_DECLSPEC int | hwloc_linux_parse_cpumap_file (FILE *file, hwloc_cpuset_t set)
| Convert a linux kernel cpumap file `file` into hwloc CPU set. More...
HWLOC_DECLSPEC int | hwloc_linux_set_tid_cpubind (hwloc_topology_t topology, pid_t tid, hwloc_const_cpuset_t set)
| Bind a thread `tid` on cpus given in cpuset `set`. More...
HWLOC_DECLSPEC int | hwloc_linux_get_tid_cpubind (hwloc_topology_t topology, pid_t tid, hwloc_cpuset_t set)
| Get the current binding of thread `tid`. More...

## Detailed Description

This includes helpers for manipulating linux kernel cpumap files, and hwloc equivalents of the Linux sched_setaffinity and sched_getaffinity system calls.

## Function Documentation

HWLOC_DECLSPEC int hwloc_linux_get_tid_cpubind | ( | hwloc_topology_t | topology,
|  | pid_t | tid,
|  | hwloc_cpuset_t | set
| ) |  |

Get the current binding of thread `tid`.

The behavior is exactly the same as the Linux sched_getaffinity system call, but uses a hwloc cpuset.

HWLOC_DECLSPEC int hwloc_linux_parse_cpumap_file | ( | FILE * | file,
|  | hwloc_cpuset_t | set
| ) |  |

Convert a linux kernel cpumap file `file` into hwloc CPU set.

Might be used when reading CPU set from sysfs attributes such as topology and caches for processors, or local_cpus for devices.

References hwloc_bitmap_set_ith_ulong(), and hwloc_bitmap_zero().

Referenced by hwloc_cuda_get_device_cpuset(), hwloc_cudart_get_device_cpuset(), and hwloc_ibv_get_device_cpuset().

HWLOC_DECLSPEC int hwloc_linux_set_tid_cpubind | ( | hwloc_topology_t | topology,
|  | pid_t | tid,
|  | hwloc_const_cpuset_t | set
| ) |  |

Bind a thread `tid` on cpus given in cpuset `set`.

The behavior is exactly the same as the Linux sched_setaffinity system call, but uses a hwloc cpuset.